> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/zapsign-api/espanol/webhooks/eventos/document/doc_signed.md).

# Doc firmado

doc\_signed (example)

{% hint style="info" %}
Este webhook notifica cada vez que un firmante firma el documento. Para conocer el estado final del documento se debe usar el parámetro "status" a nivel de documento.
{% endhint %}

{% hint style="warning" %}
**Advertencia**: los enlaces original\_file y signed\_file son temporales y caducan en 60 minutos. Si tu sistema necesita guardar esos enlaces, se recomienda almacenarlos en tu propio CDN o llamar al endpoint de[ Detalle del documento](/zapsign-api/espanol/documentos/detalhar-documento.md) cada vez que tu usuario necesite una URL válida que caduque en más de 60 minutos.
{% endhint %}

```javascript
{
  "event_type": "doc_signed",
  "sandbox": false,
  "external_id": "id-suaaplicacao-e32213ds-243",
  "open_id": 23,
  "token": "cce11abf-abcd-abcd-a657-25b55f185f16",
  "name": "sample.pdf",
  "folder_path": "/",
  "status": "signed", //if there's still someone to sign, it will be "pending"
  "lang": "pt-br",
  "original_file": "https://zapsign.s3.amazonaws.com/asddasdasdasads08e1-48f5-8972-7b4e476dec9d/c11c4f25-79c7-4eea-8dcf-5434996a4251.pdf",
  "signed_file": "https://zapsign.s3.amazonaws.com/saddas1d5as16d5asads-2b89-460e-8c30-1644fbe8f249/a5bf7fe0-05d0-4d09-bbeb-0beaa91abc56.pdf",
  "created_through": "web",
  "deleted": false,
  "deleted_at": null,
  "signed_file_only_finished": false,
  "disable_signer_emails": false,
  "brand_logo": "",
  "brand_primary_color": "",
  "created_at": "2021-06-07T19:21:59.609067Z",
  "last_update_at": "2021-06-07T19:22:21.838310Z",
  "signers": [
    {
      "external_id": "",
      "token": "b14f141f-abcd-abcd-8dfa-0bdac0ec806a",
      "status": "signed",
      "name": "Fulano Silva",
      "lock_name": false,
      "email": "ola@zapsign.com.br",
      "lock_email": false,
      "phone_country": "55",
      "phone_number": "1155551111",
      "lock_phone": false,
      "times_viewed": 1,
      "last_view_at": "2021-06-07T19:22:12.875967Z",
      "signed_at": "2021-06-07T19:22:19.956056Z",
      "auth_mode": "assinaturaTela",
      "qualification": "",
      "require_selfie_photo": false,
      "require_document_photo": false,
      "geo_latitude": "-23.559298",
      "geo_longitude": "-46.683343",
      "resend_attempts": {
          "whatsapp": 0,
          "email": 0,
          "sms": 0
      },
      "cpf": "99999999999",
      "cnpj": "99999999999"
    }
  ],
  "signer_who_signed": {
    "external_id": "",
    "token": "b14f141f-abcd-abcd-8dfa-0bdac0ec806a",
    "status": "signed",
    "name": "Fulano Silva",
    "lock_name": false,
    "email": "ola@zapsign.com.br",
    "lock_email": false,
    "phone_country": "55",
    "phone_number": "1155551111",
    "lock_phone": false,
    "times_viewed": 1,
    "last_view_at": "2021-06-07T19:22:12.875967Z",
    "signed_at": "2021-06-07T19:22:19.956056Z",
    "auth_mode": "assinaturaTela",
    "qualification": "",
    "require_selfie_photo": false,
    "require_document_photo": false,
    "geo_latitude": "-23.559298",
    "geo_longitude": "-46.683343"
    "liveness_photo_url": ""
  },
  "answers": [ // appliable if the document was created through a template
        {
            "variable": "FULL NAME",
            "value": "Foo bar"
        },
        {
            "variable": "SOCIAL SECURITY NUMBER",
            "value": "999-99-XXXX"
        },
        {
            "variable": "FULL ADDRESS",
            "value": "2989 Heller Crossing Apt. 023 - Springfield, NY / 13347"
        }
  ]
}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/zapsign-api/espanol/webhooks/eventos/document/doc_signed.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
